# -*- coding: utf-8 -*-
import time
from pinpong.board import Board, UART

Board().begin()  #初始化，选择板型，不输入板型则进行自动识别
#硬串口1 P0-RX P3-TX
uart1 = UART(0)   
uart1.init() #默认波特率为9600

while True:
    query_frame = [0x02, 0x03, 0x00, 0x00, 0x00, 0x01, 0x84, 0x39]  # 查询帧
    uart1.write(query_frame)
    time.sleep(1)
    try:
        response_frame = uart1.read(7)  # 读取从机应答帧，根据应答帧格式修改字节数
        byte4 = response_frame[3]  # 获取第4位数据
        byte5 = response_frame[4]  # 获取第5位数据
        value = ((byte4 << 8) + byte5) / 10
   
        print("风速值：", value)

        time.sleep(0.1)
    except:
        print("无数据")
